
package com.huimv.receive.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @Description: 注册验证tocken的拦截器
 * @Author
 * @Date 2021/4/19 20:41
 * @Version V1.0
 */
@Configuration
public class InterceptorConfig implements WebMvcConfigurer {
    @Bean
    public JWTInterceptor jwtInterceptor(){
        return new JWTInterceptor();
    }

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(jwtInterceptor()).
                excludePathPatterns("/securesApi/admin/my/*","/securesApi/bill-access-door/getDoorData","/securesApi/bill-gate/getGateData")
                .excludePathPatterns("/securesApi/receive/feed","/securesApi/bill-personnel-admission/printAdmission"
                        ,"/securesApi/bill-personnel-admission/printAdmission"
                        ,"/securesApi/bill-pcr/printPcr"
                        ,"/securesApi/bill-clean/printClean"
                        ,"/securesApi/bill-isolate/printIsolate"
                        ,"/securesApi/bill-luggage/printLuggage"
                        ,"/securesApi/admin/user/printUser"
                        ,"/securesApi/admin/accountMultilevel/printAccount"
                        ,"/securesApi/base-device/printDevice"
                        ,"/securesApi/bill-personnel-admission/listDoor"

                        //后台统计接口开放
                        ,"/securesApi/bill-personnel-admission/countAdmission"
                        ,"/securesApi/bill-personnel-admission/listTop"
                        ,"/securesApi/bill-personnel-admission/admissionTail"
                        ,"/securesApi/bill-personnel-admission/selectList"
                        ,"/securesApi/bill-personnel-admission/uploadImgAndAdmissin"
                        ,"/securesApi/bill-personnel-admission/delete"

                        ,"/securesApi/bill-pcr/pcrWhole"
                        ,"/securesApi/bill-pcr/listType"
                        ,"/securesApi/bill-pcr/listLocation"
                        ,"/securesApi/bill-pcr/listAll"
                        ,"/securesApi/bill-pcr/selectList"
                        ,"/securesApi/bill-pcr/delete"


                        ,"/securesApi/bill-clean/listCount"
                        ,"/securesApi/bill-clean/allList"
                        ,"/securesApi/bill-clean/CleanSelect"
                        ,"/securesApi/bill-clean/delete"
                        ,"/securesApi/bill-clean/listScreen"


                        ,"/securesApi/bill-isolate/isolateList"
                        ,"/securesApi/bill-isolate/isolateSelect"
                        ,"/securesApi/bill-isolate/delete"

                        ,"/securesApi/bill-luggage/listLuggage"
                        ,"/securesApi/bill-luggage/selectLuggage"
                        ,"/securesApi/bill-luggage/delete"




                        ,"/securesApi/bill-personnel-admission/jingJiAdmission"
                        ,"/securesApi/bill-personnel-admission/allCount"
                        ,"/securesApi/bill-pcr/pcrList"
                        ,"/securesApi/bill-goods-inventory/listAll");
    }
}
